org.deidentifier.arx.aggregates

## Class StatisticsEquivalenceClasses

- java.lang.Object
- - org.deidentifier.arx.aggregates.StatisticsEquivalenceClasses

    public class StatisticsEquivalenceClasses
    extends java.lang.Object

Statistics about the equivalence classes.

Author:
  Fabian Prasser

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getAverageEquivalenceClassSize()` Returns the maximal size of an equivalence class.
`int` `getMaximalEquivalenceClassSize()` Returns the maximal size of an equivalence class.
`int` `getMinimalEquivalenceClassSize()` Returns the minimal size of an equivalence class.
`int` `getNumberOfEquivalenceClasses()` Returns the number of equivalence classes in the currently selected data representation.
`int` `getNumberOfRecords()` Returns the number of tuples in the currently selected data representation.
`int` `getNumberOfRecordsIncludingSuppressedRecords()` Returns the number of tuples in the currently selected data representation.
`int` `getNumberOfSuppressedRecords()` Returns the number of outliers in the currently selected data representation.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getAverageEquivalenceClassSize

    public double getAverageEquivalenceClassSize()

Returns the maximal size of an equivalence class.

Returns:

#### getMaximalEquivalenceClassSize

    public int getMaximalEquivalenceClassSize()

Returns the maximal size of an equivalence class.

Returns:

#### getMinimalEquivalenceClassSize

    public int getMinimalEquivalenceClassSize()

Returns the minimal size of an equivalence class.

Returns:

#### getNumberOfEquivalenceClasses

    public int getNumberOfEquivalenceClasses()

Returns the number of equivalence classes in the currently selected data representation.

Returns:

#### getNumberOfSuppressedRecords

    public int getNumberOfSuppressedRecords()

Returns the number of outliers in the currently selected data representation.

Returns:

#### getNumberOfRecords

    public int getNumberOfRecords()

Returns the number of tuples in the currently selected data representation.

Returns:

#### getNumberOfRecordsIncludingSuppressedRecords

    public int getNumberOfRecordsIncludingSuppressedRecords()

Returns the number of tuples in the currently selected data representation.

Returns:

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`